|  | Home · All Classes · Modules

# QFileOpenEvent Class Reference
[QtGui module]

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file. More...

Inherits QEvent.

### Methods

- __init__ (self, QString file)
- __init__ (self, QFileOpenEvent other)
- QString file (self)

## Detailed Description

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file.

File open events will be sent to the QApplication.instance() when the operating system requests that a file be opened. This is a high-level event that can be caused by different user actions depending on the user's desktop environment; for example, double clicking on an file icon in the Finder on Mac OS X.

This event is only used to notify the application of a request. It may be safely ignored.

Note: This class is currently supported for Mac Os X only.

## Method Documentation

### QFileOpenEvent.__init__ (self, QString file)

### QFileOpenEvent.__init__ (self, QFileOpenEvent other)

### QString QFileOpenEvent.file (self)

Returns the file that is being opened.